package com.flossom.common.core.domain.entity;

import java.math.BigDecimal;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户打卡统计信息对象 wx_clock_statistics
 *
 * @author flossom
 * @date 2024-01-30
 */
public class WxClockStatistics extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 年份
     */
    @Excel(name = "年")
    private Integer year;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private Integer month;

    /**
     * 微信用户
     */
    @Excel(name = "微信用户")
    private Long userId;

    /**
     * 打卡天数
     */
    @Excel(name = "打卡天数")
    private Integer clockNum;

    /**
     * 超越多少比例用户
     */
    @Excel(name = "超越多少比例用户")
    private BigDecimal percentage;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public Integer getMonth() {
        return month;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setClockNum(Integer clockNum) {
        this.clockNum = clockNum;
    }

    public Integer getClockNum() {
        return clockNum;
    }

    public void setPercentage(BigDecimal percentage) {
        this.percentage = percentage;
    }

    public BigDecimal getPercentage() {
        return percentage;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }
}
